The [gzip](gzip.html) middleware uses [gzip encoding](http://www.gzip.org/) for
the bodies of all responses whose `Content-Type` matches a given regular
expression.

    function hello(env, callback) {
        callback(200, {"Content-Type": "text/plain"}, "Hello world!");
    }

    strata.run(strata.gzip(hello));

If the client does not indicate that it is able to accept gzip encoding, this
middleware does nothing.

## API

    gzip(app, [ typeMatcher ])

Encodes all responses to the given `app` as [gzip](http://www.gzip.org/) if the
value of the response `Content-Type` header matches the given `typeMatcher`.
Defaults to `/text|javascript|json/i`.
