The [jsonp](jsonp.html) middleware wraps all responses with an
`application/json` `Content-Type` in a JavaScript callback function.

    function hello(env, callback) {
        callback(200, {
            "Content-Type": "application/json"
        }, JSON.stringify({text: "Hello world!"}));
    }

    strata.run(strata.jsonp(hello));

## API

    jsonp(app, [ callbackName ])

Wraps all `application/json` responses from requests to the given `app` in a
JavaScript callback with the given `callbackName`. Defaults to `"callback"`.
